> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Billing Period Usage

> Get the usage for the billing period that just ended.

Intended to be run on the first of each month.



## OpenAPI

````yaml post /internal-billing/usage/execute
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /internal-billing/usage/execute:
    post:
      tags:
        - provider
        - internal-billing
        - usage
      summary: Execute Billing Period Usage
      description: |-
        Get the usage for the billing period that just ended.

        Intended to be run on the first of each month.
      operationId: execute_billing_period_usage_internal_billing_usage_execute_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}

````